$(document).ready(function() {
    var quoteSource = [{
            id: "1",
            donjon: "Crypte de Kardorim",
            boss: "Kardorim",
            imageSource: "img/boss/1.png",
            niveau: 10,
            zone: "Incarnam",
            position: "5,-1",
            zaap: "3,0",
            clef: "Clef de la Crypte de Kardorim",
            composition: "img/compo/1.png",
            placement: "img/places/1.png",
            succes: [
                "Zombie",
                "Premier",
                "Duo",
                "Score 8",
                "Score 200"
            ],
            idolesNon: "",
            specificites: ""
        },
        {
            id: "2",
            donjon: "Grange du Tournesol Affamé",
            boss: "Tournesol Affamé",
            imageSource: "img/boss/2.png",
            niveau: 20,
            zone: "Astrub",
            position: "7,-24",
            zaap: "5,-18",
            clef: "Clef des Champs",
            composition: "img/compo/2.png",
            placement: "img/places/2.png",
            succes: [
                "Collant",
                "Premier",
                "Duo",
                "Score 15",
                "Score 200"
            ],
            idolesNon: "",
            specificites: ""
        },
        {
            id: "3",
            donjon: "Château Ensablé",
            boss: "Mob l'Eponge",
            imageSource: "img/boss/3.png",
            niveau: 20,
            zone: "Astrub",
            position: "13,-28",
            zaap: "5,-18",
            clef: "Clef du Château Ensablé",
            composition: "img/compo/3.png",
            placement: "img/places/3.png",
            succes: [
                "Anachorète",
                "Versatile",
                "Duo",
                "Score 15",
                "Score 200"
            ],
            idolesNon: "",
            specificites: ""
        },
        {
            id: "4",
            donjon: "Cour du Bouftou Royal",
            boss: "Bouftou Royal",
            imageSource: "img/boss/4.png",
            niveau: 30,
            zone: "Astrub",
            position: "2,-34",
            zaap: "1,-32",
            clef: "Clef de la Cour du Bouftou Royal",
            composition: "img/compo/4.png",
            placement: "img/places/4.png",
            succes: [
                "Pusillanime",
                "Blitzkrieg",
                "Duo",
                "Score 23",
                "Score 200"
            ],
            idolesNon: "",
            specificites: ""
        },
        {
            id: "5",
            donjon: "Donjon des Scarafeuilles",
            boss: "Scarabosse Doré",
            imageSource: "img/boss/5.png",
            niveau: 40,
            zone: "Amakna",
            position: "1,26",
            zaap: "-1,24",
            clef: "Clef du Donjon des Scarafeuilles",
            composition: "img/compo/5.png",
            placement: "img/places/5.png",
            succes: [
                "Zombie",
                "Mains Propres",
                "Duo",
                "Score 30",
                "Score 200"
            ],
            idolesNon: "",
            specificites: ""
        },
        {
            id: "6",
            donjon: "Donjon des Tofus",
            boss: "Batofu",
            imageSource: "img/boss/6.png",
            niveau: 40,
            zone: "Amakna",
            position: "5,6",
            zaap: "5,7",
            clef: "Clef du Donjon des Tofus",
            composition: "img/compo/6.png",
            placement: "img/places/6.png",
            succes: [
                "Statue",
                "Versatile",
                "Duo",
                "Score 30",
                "Score 200"
            ],
            idolesNon: "",
            specificites: ""
        },
        {
            id: "7",
            donjon: "Maison Fantôme",
            boss: "Boostache",
            imageSource: "img/boss/7.png",
            niveau: 40,
            zone: "Cania",
            position: "-13,41",
            zaap: "-13,-28",
            clef: "Clef de la Maison Fantôme",
            composition: "img/compo/7.png",
            placement: "img/places/7.png",
            succes: [
                "Anachorète",
                "Dernier",
                "Duo",
                "Score 30",
                "Score 200"
            ],
            idolesNon: "Djim",
            specificites: ""
        },
        {
            id: "8",
            donjon: "Donjon des Squelettes",
            boss: "Chafer Rōnin",
            imageSource: "img/boss/8.png",
            niveau: 40,
            zone: "Amakna",
            position: "10,15",
            zaap: "10,22",
            clef: "Clef du Donjon des Squelettes",
            composition: "img/compo/8.png",
            placement: "img/places/8.png",
            succes: [
                "Nomade",
                "Premier",
                "Duo",
                "Score 30",
                "Score 200"
            ],
            idolesNon: "",
            specificites: ""
        },
        {
            id: "9",
            donjon: "Cache de Kankreblath",
            boss: "Kankreblath",
            imageSource: "img/boss/9.png",
            niveau: 40,
            zone: "Astrub",
            position: "3,-17",
            zaap: "5,-18",
            clef: "Clef de la Cache de Kankreblath",
            composition: "img/compo/9.png",
            placement: "img/places/9.png",
            succes: [
                "Collant",
                "Dernier",
                "Duo",
                "Score 30",
                "Score 200"
            ],
            idolesNon: "",
            specificites: "Posséder la « Baguette Rikiki »"
        },
        {
            id: "10",
            donjon: "Donjon des Bworks",
            boss: "Bworkette",
            imageSource: "img/boss/10.png",
            niveau: 50,
            zone: "Amakna",
            position: "-5,10",
            zaap: "5,7",
            clef: "Clef du Donjon des Bworks",
            composition: "img/compo/10.png",
            placement: "img/places/10.png",
            succes: [
                "Anachorète",
                "Premier",
                "Duo",
                "Score 38",
                "Score 200"
            ],
            idolesNon: "",
            specificites: ""
        },
        {
            id: "11",
            donjon: "Donjon des Forgerons",
            boss: "Coffre des Forgerons",
            imageSource: "img/boss/11.png",
            niveau: 50,
            zone: "Amakna",
            position: "13,21",
            zaap: "10,22",
            clef: "Clef du Donjon des Forgerons",
            composition: "img/compo/11.png",
            placement: "img/places/11.png",
            succes: [
                "Nomade",
                "Premier",
                "Duo",
                "Score 38",
                "Score 200"
            ],
            idolesNon: "",
            specificites: ""
        },
        {
            id: "12",
            donjon: "Donjon des Larves",
            boss: "Shin Larve",
            imageSource: "img/boss/12.png",
            niveau: 50,
            zone: "Amakna",
            position: "-2,-5",
            zaap: "-2,0",
            clef: "Il faut utiliser un Œuf de Larve Dorée",
            composition: "img/compo/12.png",
            placement: "img/places/12.png",
            succes: [
                "Pusillanime",
                "Versatile",
                "Duo",
                "Score 38",
                "Score 200"
            ],
            idolesNon: "",
            specificites: "Être au moins 2 personnages"
        },
        {
            id: "13",
            donjon: "Grotte Hesque",
            boss: "Corailleur Magistral",
            imageSource: "img/boss/13.png",
            niveau: 50,
            zone: "Île d'Otomaï",
            position: "-59,15",
            zaap: "-46,18",
            clef: "Clef de la Grotte Hesque",
            composition: "img/compo/13.png",
            placement: "img/places/13.png",
            succes: [
                "Hardi",
                "Blitzkrieg",
                "Duo",
                "Score 38",
                "Score 200"
            ],
            idolesNon: "",
            specificites: "Avoir fait les quêtes « Le nouveau Monde » et « L'Île des naufragés » pour accéder à la zone"
        },
        {
            id: "14",
            donjon: "Nid du Kwakwa",
            boss: "Kwakwa",
            imageSource: "img/boss/14.png",
            niveau: 50,
            zone: "Amakna",
            position: "-4,-7",
            zaap: "-5,-8",
            clef: "Clef du Nid du Kwakwa",
            composition: "img/compo/14.png",
            placement: "img/places/14.png",
            succes: [
                "Zombie",
                "Mains Propres",
                "Duo",
                "Score 38",
                "Score 200"
            ],
            idolesNon: "",
            specificites: ""
        },
        {
            id: "15",
            donjon: "Caverne des Bulbes",
            boss: "Bulbig Brozeur",
            imageSource: "img/boss/15.png",
            niveau: 50,
            zone: "Île de Pandala",
            position: "19,-22",
            zaap: "23,-22",
            clef: "Clef de la caverne des Bulbes",
            composition: "img/compo/15.png",
            placement: "img/places/15.png",
            succes: [
                "Anachorète",
                "Mains Propres",
                "Duo",
                "Score 38",
                "Score 200"
            ],
            idolesNon: "",
            specificites: "Être au moins 2 personnages et il faut avoir fait les quêtes « Pandavignon » et « Pandala : une île pas comme les autres » pour accéder à la zone"
        },
        {
            id: "16",
            donjon: "Château du Wa Wabbit",
            boss: "Wa Wabbit",
            imageSource: "img/boss/16.png",
            niveau: 60,
            zone: "Île de la Cawotte",
            position: "24,-13",
            zaap: "25,-4",
            clef: "Clef du Château du Wa Wabbit",
            composition: "img/compo/16.png",
            placement: "img/places/16.png",
            succes: [
                "Hardi",
                "Blitzkrieg",
                "Duo",
                "Score 45",
                "Score 200"
            ],
            idolesNon: "",
            specificites: ""
        },
        {
            id: "17",
            donjon: "Village Kanniboul",
            boss: "Kanniboul Ebil",
            imageSource: "img/boss/17.png",
            niveau: 60,
            zone: "Île de Moon",
            position: "29,9",
            zaap: "35,12",
            clef: "Clef du Village Kanniboul",
            composition: "img/compo/17.png",
            placement: "img/places/17.png",
            succes: [
                "Zombie",
                "Premier",
                "Duo",
                "Score 45",
                "Score 200"
            ],
            idolesNon: "",
            specificites: "Posséder 1 « Casque », 1 « Ailes en bois » et 1 « Ticket pour l'Île de Moon » et vous rendre au canon en 11,10 pour débloquer l'accès à l'île"
        },
        {
            id: "18",
            donjon: "Clos des Blops",
            boss: "Blops Royaux",
            imageSource: "img/boss/18.png",
            niveau: 60,
            zone: "Cania",
            position: "-7,-43",
            zaap: "-3,-42",
            clef: "Clef du Clos des Blops",
            composition: "img/compo/18.png",
            placement: "img/places/18.png",
            succes: [
                "Duel",
                "Pusillanime",
                "Duo",
                "Score 45",
                "Score 200"
            ],
            idolesNon: "",
            specificites: "Il y a 4 boss dans 4 salles distinctes ce qui nécessite de faire 4 fois le donjon pour réussir les succes"
        },
        {
            id: "19",
            donjon: "Gelaxième Dimension",
            boss: "Gelées Royales",
            imageSource: "img/boss/19.png",
            niveau: 60,
            zone: "La Gelaxième Dimension",
            position: "",
            zaap: "",
            clef: "Il faut manger une « Multigely » ce qui téléporte dedans le donjon",
            composition: "img/compo/19.png",
            placement: "img/places/19.png",
            succes: [
                "Duel",
                "Collant",
                "Duo",
                "Score 45",
                "Score 200"
            ],
            idolesNon: "",
            specificites: "Pour avoir les 4 boss dans le même combat à la fin, ne combattez pas deux fois un groupe comportant le plus d'une couleur de Gelée"
        },
        {
            id: "20",
            donjon: "Laboratoire de Brumen Tinctorias",
            boss: "Brumen Tinctorias",
            imageSource: "img/boss/20.png",
            niveau: 70,
            zone: "Sidimote",
            position: "-27,17",
            zaap: "-25,12",
            clef: "Clef du Laboratoire de Brumen Tinctorias",
            composition: "img/compo/20.png",
            placement: "img/places/20.png",
            succes: [
                "Dernier",
                "Anachorète",
                "Duo",
                "Score 53",
                "Score 200"
            ],
            idolesNon: "",
            specificites: "Nécessite d'avoir fini la quête « Où est passée la 7e Compagnie ? » pour y accéder"
        },
        {
            id: "21",
            donjon: "Cale de l'Arche d'Otomaï",
            boss: "Gourlo le Terrible",
            imageSource: "img/boss/21.png",
            niveau: 70,
            zone: "Île d'Otomaï",
            position: "-55,-4",
            zaap: "-46,18",
            clef: "Clef de l'Arche d'Otomaï",
            composition: "img/compo/21.png",
            placement: "img/places/21.png",
            succes: [
                "Premier",
                "Économe",
                "Duo",
                "Score 53",
                "Score 200"
            ],
            idolesNon: "",
            specificites: "Avoir fait les quêtes « Le nouveau Monde », « L'Île des naufragés » et la quête du « Gardien du Pont de la Mort » pour accéder à la zone"
        },
        {
            id: "22",
            donjon: "Donjon des Craqueleurs",
            boss: "Craqueleur Légendaire",
            imageSource: "img/boss/22.png",
            niveau: 70,
            zone: "Amakna",
            position: "-3,-7",
            zaap: "-5,-8",
            clef: "Clef des Pitons Rocheux des Craqueleurs",
            composition: "img/compo/22.png",
            placement: "img/places/22.png",
            succes: [
                "Pusillanime",
                "Premier",
                "Duo",
                "Score 53",
                "Score 200"
            ],
            idolesNon: "",
            specificites: ""
        },
        {
            id: "23",
            donjon: "Repaire de Daïgoro",
            boss: "Daïgoro",
            imageSource: "img/boss/23.png",
            niveau: 80,
            zone: "Île de Pandala",
            position: "32,-31",
            zaap: "30,-38",
            clef: "Clef du Repaire de Daïgoro",
            composition: "img/compo/23.png",
            placement: "img/places/23.png",
            succes: [
                "Pusillanime",
                "Premier",
                "Duo",
                "Score 60",
                "Score 200"
            ],
            idolesNon: "",
            specificites: "Il faut avoir fait les quêtes « Pandavignon » et « Pandala : une île pas comme les autres » pour accéder à la zone"
        },
        {
            id: "24",
            donjon: "Terrier du Wa Wabbit",
            boss: "Wa Wobbot",
            imageSource: "img/boss/24.png",
            niveau: 80,
            zone: "Île de la Cawotte",
            position: "28,-12",
            zaap: "27,-14",
            clef: "Clef du Terrier du Wa Wabbit",
            composition: "img/compo/24.png",
            placement: "img/places/24.png",
            succes: [
                "Mains Propres",
                "Blitzkrieg",
                "Duo",
                "Score 60",
                "Score 200"
            ],
            idolesNon: "",
            specificites: ""
        },
        {
            id: "25",
            donjon: "Cimetière des Mastodontes",
            boss: "Mantiscore",
            imageSource: "img/boss/25.png",
            niveau: 80,
            zone: "Île de Saharach",
            position: "19,-61",
            zaap: "15,-58",
            clef: "Clef du Cimetière des Mastodontes",
            composition: "img/compo/25.png",
            placement: "img/places/25.png",
            succes: [
                "Mains Propres",
                "Zombie",
                "Duo",
                "Score 60",
                "Score 200"
            ],
            idolesNon: "",
            specificites: ""
        },
        {
            id: "26",
            donjon: "Antre de la Reine Nyée",
            boss: "Reine Nyée",
            imageSource: "img/boss/26.png",
            niveau: 90,
            zone: "Forêt des Abraknydes",
            position: "-6,-15",
            zaap: "-8,-8",
            clef: "Clef de l'Antre de la Reine Nyée",
            composition: "img/compo/26.png",
            placement: "img/places/26.png",
            succes: [
                "Premier",
                "Hardi",
                "Duo",
                "Score 68",
                "Score 200"
            ],
            idolesNon: "",
            specificites: ""
        },
        {
            id: "27",
            donjon: "Domaine Ancestral",
            boss: "Abraknyde Ancestral",
            imageSource: "img/boss/27.png",
            niveau: 90,
            zone: "Forêt des Abraknydes",
            position: "-9,-14",
            zaap: "-5,-8",
            clef: "Clef du Domaine Ancestral",
            composition: "img/compo/27.png",
            placement: "img/places/27.png",
            succes: [
                "Nomade",
                "Premier",
                "Duo",
                "Score 68",
                "Score 200"
            ],
            idolesNon: "",
            specificites: ""
        },
        {
            id: "28",
            donjon: "Bateau du Chouque",
            boss: "Le Chouque",
            imageSource: "img/boss/28.png",
            niveau: 90,
            zone: "Île de Moon",
            position: "33,3",
            zaap: "35,12",
            clef: "Clef du Bateau du Chouque",
            composition: "img/compo/28.png",
            placement: "img/places/28.png",
            succes: [
                "Dernier",
                "Nomade",
                "Duo",
                "Score 68",
                "Score 200"
            ],
            idolesNon: "",
            specificites: "Posséder 1 « Casque », 1 « Ailes en bois » et 1 « Ticket pour l'Île de Moon » et vous rendre au canon en 11,10 pour débloquer l'accès à l'île"
        },
        {
            id: "29",
            donjon: "Chapiteau des Magik Riktus",
            boss: "Choudini",
            imageSource: "img/boss/29.png",
            niveau: 90,
            zone: "Sidimote",
            position: "-22,12",
            zaap: "-25,12",
            clef: "Clef du Chapiteau des Magik Riktus",
            composition: "img/compo/29.png",
            placement: "img/places/29.png",
            succes: [
                "Collant",
                "Hardi",
                "Duo",
                "Score 68",
                "Score 200"
            ],
            idolesNon: [
                "Pého",
                "Leukide"
            ],
            specificites: ""
        },
        {
            id: "30",
            donjon: "Antre du Dragon Cochon",
            boss: "Dragon Cochon",
            imageSource: "img/boss/30.png",
            niveau: 100,
            zone: "Amakna",
            position: "-1,33",
            zaap: "-1,24",
            clef: "Clef de l'Antre du Dragon Cochon",
            composition: "img/compo/30.png",
            placement: "img/places/30.png",
            succes: [
                "Hardi",
                "Versatile",
                "Duo",
                "Score 75",
                "Score 200"
            ],
            idolesNon: "",
            specificites: ""
        },
        {
            id: "31",
            donjon: "Caverne du Koulosse",
            boss: "Koulosse",
            imageSource: "img/boss/31.png",
            niveau: 100,
            zone: "Montagne des Koalaks",
            position: "-17,8",
            zaap: "-16,1",
            clef: "Clef de la Caverne du Koulosse",
            composition: "img/compo/31.png",
            placement: "img/places/31.png",
            succes: [
                "Zombie",
                "Mains Propres",
                "Duo",
                "Score 75",
                "Score 200"
            ],
            idolesNon: "",
            specificites: ""
        },
        {
            id: "32",
            donjon: "Tanière du Meulou",
            boss: "Meulou",
            imageSource: "img/boss/32.png",
            niveau: 100,
            zone: "Sidimote",
            position: "-23,0",
            zaap: "-25,12",
            clef: "Clef de la Tanière du Meulou",
            composition: "img/compo/32.png",
            placement: "img/places/32.png",
            succes: [
                "Premier",
                "Hardi",
                "Duo",
                "Score 75",
                "Score 200"
            ],
            idolesNon: "",
            specificites: ""
        },
        {
            id: "33",
            donjon: "Arbre de Moon",
            boss: "Moon",
            imageSource: "img/boss/33.png",
            niveau: 100,
            zone: "Île de Moon",
            position: "29,6",
            zaap: "35,12",
            clef: "Clef de l'Arbre de Moon",
            composition: "img/compo/33.png",
            placement: "img/places/33.png",
            succes: [
                "Versatile",
                "Statue",
                "Duo",
                "Score 75",
                "Score 200"
            ],
            idolesNon: "",
            specificites: "Posséder 1 « Casque », 1 « Ailes en bois » et 1 « Ticket pour l'Île de Moon » et vous rendre au canon en 11,10 pour débloquer l'accès à l'île"
        },
        {
            id: "34",
            donjon: "Théâtre de Dramak",
            boss: "Maître des Pantins",
            imageSource: "img/boss/34.png",
            niveau: 100,
            zone: "Amakna",
            position: "21,7",
            zaap: "5,7",
            clef: "Clef du Théâtre de Dramak",
            composition: "img/compo/34.png",
            placement: "img/places/34.png",
            succes: [
                "Statue",
                "Mains Propres",
                "Duo",
                "Score 75",
                "Score 200"
            ],
            idolesNon: [
                "Djim",
                "Nahuatl"
            ],
            specificites: ""
        },
        {
            id: "35",
            donjon: "Fabrique de Malléfisk",
            boss: "Malléfisk",
            imageSource: "img/boss/35.png",
            niveau: 100,
            zone: "Énutrosor",
            position: "-6,-2",
            zaap: "Portail vers la Dimension Énutrosor",
            clef: "Clef de la Fabrique de Malléfisk",
            composition: "img/compo/35.png",
            placement: "img/places/35.png",
            succes: [
                "Circulez",
                "Blitzkrieg",
                "Duo",
                "Score 75",
                "Score 200"
            ],
            idolesNon: "",
            specificites: ""
        },
        {
            id: "36",
            donjon: "Goulet du Rasboul",
            boss: "Silf le Rasboul Majeur",
            imageSource: "img/boss/36.png",
            niveau: 110,
            zone: "Île d'Otomaï",
            position: "-51,9",
            zaap: "-46,18",
            clef: "Clef du Goulet du Rasboul",
            composition: "img/compo/36.png",
            placement: "img/places/36.png",
            succes: [
                "Premier",
                "Temps qui court",
                "Duo",
                "Score 83",
                "Score 200"
            ],
            idolesNon: "",
            specificites: "Avoir fait les quêtes « Le nouveau Monde » et « L'Île des naufragés » pour accéder à la zone"
        },
        {
            id: "37",
            donjon: "Bibliothèque du Maître Corbac",
            boss: "Maître Corbac",
            imageSource: "img/boss/37.png",
            niveau: 110,
            zone: "Cania",
            position: "-15,-62",
            zaap: "-17,-47",
            clef: "Clef de la Bibliothèque$ du Maître Corbac",
            composition: "img/compo/37.png",
            placement: "img/places/37.png",
            succes: [
                "Collant",
                "Premier",
                "Duo",
                "Score 83",
                "Score 200"
            ],
            idolesNon: "",
            specificites: ""
        },
        {
            id: "38",
            donjon: "Donjon des Rats de Bonta",
            boss: "Rat Blanc",
            imageSource: "img/boss/38.png",
            niveau: 110,
            zone: "Bonta",
            position: "-35,-59",
            zaap: "-32,-56",
            clef: "Clef du Donjon des Rats de Bonta",
            composition: "img/compo/38.png",
            placement: "img/places/38.png",
            succes: [
                "Premier",
                "Hardi",
                "Duo",
                "Score 83",
                "Score 200"
            ],
            idolesNon: "",
            specificites: ""
        },
        {
            id: "39",
            donjon: "Donjon des Rats de Brâkmar",
            boss: "Rat Noir",
            imageSource: "img/boss/39.png",
            niveau: 100,
            zone: "Brâkmar",
            position: "-26,31",
            zaap: "-26,35",
            clef: "Clef du Donjon des Rats de Brâkmar",
            composition: "img/compo/39.png",
            placement: "img/places/39.png",
            succes: [
                "Hardi",
                "Blitzkrieg",
                "Duo",
                "Score 82",
                "Score 200"
            ],
            idolesNon: "",
            specificites: ""
        },
        {
            id: "40",
            donjon: "Miausolée du Pounicheur",
            boss: "Pounicheur",
            imageSource: "img/boss/40.png",
            niveau: 110,
            zone: "Écaflipus",
            position: "3,-9",
            zaap: "Portail vers la Dimension Écaflipus",
            clef: "Clef du Miausolée du Pounicheur",
            composition: "img/compo/40.png",
            placement: "img/places/40.png",
            succes: [
                "Blitzkrieg",
                "Statue",
                "Duo",
                "Score 83",
                "Score 200"
            ],
            idolesNon: "",
            specificites: ""
        },
        {
            id: "41",
            donjon: "Antre du Blop Multicolore Royal",
            boss: "Blop Multicolore Royal",
            imageSource: "img/boss/41.png",
            niveau: 120,
            zone: "Cania",
            position: "-7,-43",
            zaap: "-3,-42",
            clef: [
                "Clef du Donjon des Blops",
                "Clef de l'antre du Blop Multicolore"
            ],
            composition: "img/compo/41.png",
            placement: "img/places/41.png",
            succes: [
                "Hardi",
                "Duel",
                "Duo",
                "Score 90",
                "Score 200"
            ],
            idolesNon: "",
            specificites: "Il faut faire au préalable le « Donjon des Blops » afin de pouvoir rentrer dans ce donjon"
        },
        {
            id: "42",
            donjon: "Centre du Labyrinthe du Minotoror",
            boss: "Minotoror",
            imageSource: "img/boss/42.png",
            niveau: 120,
            zone: "Île du Minotoror",
            position: "-42,-17",
            zaap: "-34,-8",
            clef: "Clef du Labyrinthe du Minotoror",
            composition: "img/compo/42.png",
            placement: "img/places/42.png",
            succes: [
                "Anachorète",
                "Mains Propres",
                "Duo",
                "Score 90",
                "Score 200"
            ],
            idolesNon: "",
            specificites: ""
        },
        {
            id: "43",
            donjon: "Serre du Royalmouth",
            boss: "Royalmouth",
            imageSource: "img/boss/43.png",
            niveau: 120,
            zone: [
                "Île de Frigost",
                "Frigost 1"
            ],
            position: "-84,-49",
            zaap: "-78,-41",
            clef: "Clef de la serre du Royalmouth",
            composition: "img/compo/43.png",
            placement: "img/places/43.png",
            succes: [
                "Mains Propres",
                "Premier",
                "Duo",
                "Score 90",
                "Score 200"
            ],
            idolesNon: "Djim",
            specificites: "Être de niveau 50 au minimum pour accéder à la zone"
        },
        {
            id: "44",
            donjon: "Repaire des Pandikazes",
            boss: "Maître Pandore",
            imageSource: "img/boss/44.png",
            niveau: 120,
            zone: "ïle de Pandala",
            position: "18,-36",
            zaap: "17,-31",
            clef: "Clef des Pandikazes",
            composition: "img/compo/44.png",
            placement: "img/places/44.png",
            succes: [
                "Premier",
                "Collant",
                "Duo",
                "Score 90",
                "Score 200"
            ],
            idolesNon: "",
            specificites: "Il faut avoir fait les quêtes « Pandavignon » et « Pandala : une île pas comme les autres » pour accéder à la zone"
        },
        {
            id: "45",
            donjon: "Tofulailler Royal",
            boss: "Tofu Royal",
            imageSource: "img/boss/45.png",
            niveau: 120,
            zone: "Amakna",
            position: "5,6",
            zaap: "5,7",
            clef: "Clef Secrète du Tofulailler Royal",
            composition: "img/compo/45.png",
            placement: "img/places/45.png",
            succes: [
                "Dernier",
                "Statue",
                "Duo",
                "Score 90",
                "Score 200"
            ],
            idolesNon: "",
            specificites: ""
        },
        {
            id: "46",
            donjon: "Donjon des Dragoeufs",
            boss: "Crocabulia",
            imageSource: "img/boss/46.png",
            niveau: 120,
            zone: "Amakna",
            position: "-3,24",
            zaap: "-1,24",
            clef: [
                "Clef du Sanctuaire des Dragoeufs",
                "Clef du Donjon des Dragoeufs"
            ],
            composition: "img/compo/46.png",
            placement: "img/places/46.png",
            succes: [
                "Collant",
                "Blitzkrieg",
                "Duo",
                "Score 90",
                "Score 200"
            ],
            idolesNon: "",
            specificites: ""
        },
        {
            id: "47",
            donjon: "Repaire de Skeunk",
            boss: "Skeunk",
            imageSource: "img/boss/47.png",
            niveau: 120,
            zone: "Montagne des Koalaks",
            position: "-20,10",
            zaap: "-16,1",
            clef: "Clef du Repaire de Skeunk",
            composition: "img/compo/47.png",
            placement: "img/places/47.png",
            succes: [
                "Statue",
                "Blitzkrieg",
                "Duo",
                "Score 90",
                "Score 200"
            ],
            idolesNon: "",
            specificites: ""
        },
        {
            id: "48",
            donjon: "Mégalithe de Fraktale",
            boss: "Fraktale",
            imageSource: "img/boss/48.png",
            niveau: 120,
            zone: "Xélorium",
            position: "7,3",
            zaap: "Portail vers la Dimension Xélorium",
            clef: "Clef du Mégalithe de Fraktale",
            composition: "img/compo/48.png",
            placement: "img/places/48.png",
            succes: [
                "Anachorète",
                "Blitzkrieg",
                "Duo",
                "Score 90",
                "Score 200"
            ],
            idolesNon: "",
            specificites: ""
        },
        {
            id: "49",
            donjon: "Donjon des Kitsounes",
            boss: "Tanukouï San",
            imageSource: "img/boss/49.png",
            niveau: 130,
            zone: "île de Pandala",
            position: "32,-38",
            zaap: "30,-38",
            clef: "Clef du Donjon des Kitsounes",
            composition: "img/compo/49.png",
            placement: "img/places/49.png",
            succes: [
                "Focus",
                "Hardi",
                "Duo",
                "Score 98",
                "Score 200"
            ],
            idolesNon: "",
            specificites: "Il faut avoir fait les quêtes « Pandavignon » et « Pandala : une île pas comme les autres » pour accéder à la zone"
        },
        {
            id: "50",
            donjon: "Volière de la Haute Truche",
            boss: "Haute Truche",
            imageSource: "img/boss/50.png",
            niveau: 130,
            zone: "Cania",
            position: "-10,-44",
            zaap: "-3,-42",
            clef: "Clef de la Volière de la Haute Truche",
            composition: "img/compo/50.png",
            placement: "img/places/50.png",
            succes: [
                "Premier",
                "Barbare",
                "Duo",
                "Score 90",
                "Score 200"
            ],
            idolesNon: "",
            specificites: ""
        },
        {
            id: "51",
            donjon: "Caverne d'El Piko",
            boss: "El Piko",
            imageSource: "img/boss/51.png",
            niveau: 130,
            zone: "Île de Saharach",
            position: "15,-65",
            zaap: "15,-58",
            clef: "Clef de la Caverne d'El Piko",
            composition: "img/compo/51.png",
            placement: "img/places/51.png",
            succes: [
                "Blitzkrieg",
                "Duel",
                "Duo",
                "Score 98",
                "Score 200"
            ],
            idolesNon: "",
            specificites: ""
        },
        {
            id: "52",
            donjon: "Ring du Capitaine Ekarlatte",
            boss: "Capitaine Ekarlatte",
            imageSource: "img/boss/52.png",
            niveau: 130,
            zone: "Srambad",
            position: "6,3",
            zaap: "Portail vers la Dimension Srambad",
            clef: "Clef du Ring du Capitaine Ekarlatte",
            composition: "img/compo/52.png",
            placement: "img/places/52.png",
            succes: [
                "Focus",
                "Statue",
                "Duo",
                "Score 98",
                "Score 200"
            ],
            idolesNon: "",
            specificites: ""
        },
        {
            id: "53",
            donjon: "Donjon des Firefoux",
            boss: "Péki Péki",
            imageSource: "img/boss/53.png",
            niveau: 140,
            zone: "Île de Pandala",
            position: "26,-45",
            zaap: "29,-49",
            clef: "Clef du Donjon des Firefoux",
            composition: "img/compo/53.png",
            placement: "img/places/53.png",
            succes: [
                "Statue",
                "Hardi",
                "Duo",
                "Score 105",
                "Score 200"
            ],
            idolesNon: [
                "Dynamo",
                "Hulhu",
                "Nékinéko",
                "Domo"
            ],
            specificites: "Il faut avoir fait les quêtes « Pandavignon » et « Pandala : une île pas comme les autres » pour accéder à la zone"
        },
        {
            id: "54",
            donjon: "Clairière du Chêne Mou",
            boss: "Chêne Mou",
            imageSource: "img/boss/54.png",
            niveau: 140,
            zone: "Forêt des Abraknydes",
            position: "-14,-13",
            zaap: "-20,-20",
            clef: "Clef de la Clairière du Chêne Mou",
            composition: "img/compo/54.png",
            placement: "img/places/54.png",
            succes: [
                "Liberté",
                "Premier",
                "Duo",
                "Score 105",
                "Score 200"
            ],
            idolesNon: "",
            specificites: ""
        },
        {
            id: "55",
            donjon: "Laboratoire du Tynril",
            boss: "Tynrils",
            imageSource: "img/boss/55.png",
            niveau: 140,
            zone: "Île d'Otomaï",
            position: "-53,20",
            zaap: "-46,18",
            clef: "Clef du Laboratoire du Tynril",
            composition: "img/compo/55.png",
            placement: "img/places/55.png",
            succes: [
                "Intouchable",
                "Zombie",
                "Duo",
                "Score 105",
                "Score 200"
            ],
            idolesNon: [
                "Butor",
                "Yoche",
                "Teleb",
                "Sak",
                "Horize",
                "Corrode",
                "Cafra",
                "Boble",
                "Bihilète"
            ],
            specificites: "Avoir fait les quêtes « Le nouveau Monde » et « L'Île des naufragés » pour accéder à la zone"
        },
        {
            id: "56",
            donjon: "Tu ne voudrais pas plutôt aller finir les quêtes que tu as en cours ?",
            boss: "Voix de la Raison",
            imageSource: "img/boss/56.png",
            niveau: 50,
            zone: "",
            position: "",
            zaap: "",
            clef: "",
            composition: "img/compo/56.png",
            placement: "img/places/56.png",
            succes: "",
            idolesNon: "",
            specificites: ""
        },
        {
            id: "57",
            donjon: "Excavation du Mansot Royal",
            boss: "Mansot Royal",
            imageSource: "img/boss/57.png",
            niveau: 140,
            zone: [
                "Île de Frigost",
                "Frigost 1"
            ],
            position: "-64,-55",
            zaap: "-78,-41",
            clef: "Clef Mansot",
            composition: "img/compo/57.png",
            placement: "img/places/57.png",
            succes: [
                "Dernier",
                "Collant",
                "Duo",
                "Score 105",
                "Score 200"
            ],
            idolesNon: "",
            specificites: ""
        },
        {
            id: "58",
            donjon: "Épave du Grolandais violent",
            boss: "Ben le Ripate",
            imageSource: "img/boss/58.png",
            niveau: 150,
            zone: [
                "Île de Frigost",
                "Frigost 1"
            ],
            position: "-60,-84",
            zaap: "-78,-41",
            clef: "Clef du Grolandais violent",
            composition: "img/compo/58.png",
            placement: "img/places/58png",
            succes: [
                "Circulez",
                "Statue",
                "Duo",
                "Score 113",
                "Score 200"
            ],
            idolesNon: "Nahuatl",
            specificites: "Il faut avoir fait le donjon « Excavation du Mansot Royal » pour y accéder"
        },
        {
            id: "59",
            donjon: "Donjon des Rats du Château d'Amakna",
            boss: "Sphincter Cell",
            imageSource: "img/boss/59.png",
            niveau: 150,
            zone: "Amakna",
            position: "5,-8",
            zaap: "7,-4",
            clef: "Clef du Donjon des Rats du Château d'Amakna",
            composition: "img/compo/59.png",
            placement: "img/places/59.png",
            succes: [
                "Hardi",
                "Dernier",
                "Duo",
                "Score 113",
                "Score 200"
            ],
            idolesNon: "",
            specificites: ""
        },
        {
            id: "60",
            donjon: "Canopée du Kimbo",
            boss: "Kimbo",
            imageSource: "img/boss/60.png",
            niveau: 160,
            zone: "Île d'Otomaï",
            position: "-54,16",
            zaap: "-54,16",
            clef: "Clef de la Canopée du Kimbo",
            composition: "img/compo/60.png",
            placement: "img/places/60.png",
            succes: [
                "Statue",
                "Premier",
                "Duo",
                "Score 120",
                "Score 200"
            ],
            idolesNon: "Nahuatl",
            specificites: "Avoir fait les quêtes « Le nouveau Monde » et « L'Île des naufragés » pour accéder à la zone"
        },
        {
            id: "61",
            donjon: "Salle du Minotot",
            boss: "Minotot",
            imageSource: "img/boss/61.png",
            niveau: 160,
            zone: "Île du Minotoror",
            position: "-42,-17",
            zaap: "-34,-8",
            clef: "Clef de la Salle du Minotot",
            composition: "img/compo/61.png",
            placement: "img/places/61.png",
            succes: [
                "Circulez",
                "Premier",
                "Duo",
                "Score 120",
                "Score 200"
            ],
            idolesNon: "",
            specificites: ""
        },
        {
            id: "62",
            donjon: "Hypogée de l'Obsidiantre",
            boss: "Obsidiantre",
            imageSource: "img/boss/62.png",
            niveau: 160,
            zone: [
                "Île de Frigost",
                "Frigost 1"
            ],
            position: "-71,-83",
            zaap: "-78,-41",
            clef: "Clef de l'Hypogée de l'Obsidiantre",
            composition: "img/compo/62.png",
            placement: "img/places/62.png",
            succes: [
                "Premier",
                "Statue",
                "Duo",
                "Score 120",
                "Score 200"
            ],
            idolesNon: "Nahuatl",
            specificites: "Être de niveau 50 au minimum pour accéder à l'île et avoir déjà fait le donjon « Épave du Grolandais Violent »"
        },
        {
            id: "63",
            donjon: "Grotte de Kanigroula",
            boss: "Kanigroula",
            imageSource: "img/boss/63.png",
            niveau: 160,
            zone: "Cania",
            position: "-5,-54",
            zaap: "0,-56",
            clef: "Clef de la Grotte de Kanigroula",
            composition: "img/compo/63.png",
            placement: "img/places/63.png",
            succes: [
                "Premier",
                "Hardi",
                "Duo",
                "Score 120",
                "Score 200"
            ],
            idolesNon: "",
            specificites: ""
        },
        {
            id: "64",
            donjon: "Plateau de Ush",
            boss: "Ush Galesh",
            imageSource: "img/boss/64.png",
            niveau: 160,
            zone: "Écaflipus",
            position: "7,-3",
            zaap: "Portail vers la Dimension Écaflipus",
            clef: "Clef du Plateau de Ush",
            composition: "img/compo/64.png",
            placement: "img/places/64.png",
            succes: [
                "Premier",
                "Zombie",
                "Duo",
                "Score 120",
                "Score 200"
            ],
            idolesNon: "",
            specificites: ""
        },
        {
            id: "65",
            donjon: "Cavernes Givrefoux",
            boss: "Tengu Givrefoux",
            imageSource: "img/boss/65.png",
            niveau: 170,
            zone: [
                "Île de Frigost",
                "Frigost 2"
            ],
            position: "-80,-75",
            zaap: "-78,-40",
            clef: "Clef de la Tanière Givrefoux",
            composition: "img/compo/65.png",
            placement: "img/places/65.png",
            succes: [
                "Premier",
                "Statue",
                "Duo",
                "Score 128",
                "Score 200"
            ],
            idolesNon: "",
            specificites: "Être de niveau 50 au minimum pour accéder à l'île et avoir déjà fait le donjon « Hypogée de l'Obsidiantre »"
        },
        {
            id: "66",
            donjon: "Boyeau du Père Ver",
            boss: "Père Ver",
            imageSource: "img/boss/66.png",
            niveau: 170,
            zone: "Île de Saharach",
            position: "7,-70",
            zaap: "15,-58",
            clef: "Clef du Boyeau du Père Ver",
            composition: "img/compo/66.png",
            placement: "img/places/66.png",
            succes: [
                "Premier",
                "Zombie",
                "Duo",
                "Score 128",
                "Score 200"
            ],
            idolesNon: "Djim",
            specificites: ""
        },
        {
            id: "67",
            donjon: "Horlogium de XLII",
            boss: "XLII",
            imageSource: "img/boss/67.png",
            niveau: 170,
            zone: "Xélorium",
            position: "7,-2",
            zaap: "Portail vers la Dimension Xélorium",
            clef: "Clef de l'Horlogium de XLII",
            composition: "img/compo/67.png",
            placement: "img/places/67.png",
            succes: [
                "Barbare",
                "Collant",
                "Duo",
                "Score 128",
                "Score 200"
            ],
            idolesNon: "",
            specificites: ""
        },
        {
            id: "68",
            donjon: "Antre du Korriandre",
            boss: "Korriandre",
            imageSource: "img/boss/68.png",
            niveau: 180,
            zone: [
                "Île de Frigost",
                "Frigost 2"
            ],
            position: "-73,-69",
            zaap: "-77,-73",
            clef: "Clef de l'Antre du Korriandre",
            composition: "img/compo/68.png",
            placement: "img/places/68.png",
            succes: [
                "Mystique",
                "Zombie",
                "Duo",
                "Score 135",
                "Score 200"
            ],
            idolesNon: "Nyam",
            specificites: "Être de niveau 50 au minimum pour accéder à l'île et avoir déjà fait le donjon « Cavernes Givrefoux »"
        },
        {
            id: "69",
            donjon: "Antre du Kralamour Géant",
            boss: "Kralamour Géant",
            imageSource: "img/boss/69.png",
            niveau: 180,
            zone: "Île d'Otomaï",
            position: "-60,-8",
            zaap: "-46,18",
            clef: "Il faut se positionner sur toutes les dalles de l'île",
            composition: "img/compo/69.png",
            placement: "img/places/69.png",
            succes: [
                "Nomade",
                "Blitzkrieg",
                "Duo",
                "Score 135",
                "Score 200"
            ],
            idolesNon: [
                "Djim",
                "Nékinéko",
                "Dynamo"
            ],
            specificites: "Avoir fait les quêtes « Le nouveau Monde », « L'Île des naufragés » et la quête du « Gardien du Pont de la Mort » pour accéder à la zone"
        },
        {
            id: "70",
            donjon: "Grotte du Bworker",
            boss: "Bworker",
            imageSource: "img/boss/70.png",
            niveau: 180,
            zone: "Sidimote",
            position: "-15,14",
            zaap: "-25,12",
            clef: "Clef de la Grotte du Bworker",
            composition: "img/compo/70.png",
            placement: "img/places/70.png",
            succes: [
                "Hardi",
                "Blitzkrieg",
                "Duo",
                "Score 135",
                "Score 200"
            ],
            idolesNon: "",
            specificites: ""
        },
        {
            id: "71",
            donjon: "Temple du Grand Ougah",
            boss: "Ougah",
            imageSource: "img/boss/71.png",
            niveau: 180,
            zone: "Sidimote",
            position: "-9,29",
            zaap: "-15,25",
            clef: "Clef du Temple du Grand Ougah",
            composition: "img/compo/71.png",
            placement: "img/places/71.png",
            succes: [
                "Collant",
                "Dernier",
                "Duo",
                "Score 135",
                "Score 200"
            ],
            idolesNon: "",
            specificites: ""
        },
        {
            id: "72",
            donjon: "Cave du Toxoliath",
            boss: "Toxoliath",
            imageSource: "img/boss/72.png",
            niveau: 180,
            zone: "Srambad",
            position: "8,8",
            zaap: "Portail vers la Dimension Srambad",
            clef: "Clef de la Cave du Toxoliath",
            composition: "img/compo/72.png",
            placement: "img/places/72.png",
            succes: [
                "Circulez",
                "Anachorète",
                "Duo",
                "Score 135",
                "Score 200"
            ],
            idolesNon: "",
            specificites: ""
        },
        {
            id: "73",
            donjon: "Cavernes du Kolosso",
            boss: "Kolosso",
            imageSource: "img/boss/73.png",
            niveau: 190,
            zone: [
                "Île de Frigost",
                "Frigost 2"
            ],
            position: "-61,-69",
            zaap: "-77,-73",
            clef: "Clef des cavernes du Kolosso",
            composition: "img/compo/73.png",
            placement: "img/places/73.png",
            succes: [
                "Dernier",
                "Premier",
                "Duo",
                "Score 143",
                "Score 200"
            ],
            idolesNon: "Pénitent",
            specificites: "Être de niveau 50 au minimum pour accéder à l'île et avoir déjà fait le donjon « Antre du Korriandre »"
        },
        {
            id: "74",
            donjon: "Cavernes Nourricières",
            boss: "Fuji Givrefoux Nourricières",
            imageSource: "img/boss/74.png",
            niveau: 190,
            zone: [
                "Île de Frigost",
                "Frigost 2"
            ],
            position: "-80,-75",
            zaap: "-78,-41",
            clef: "Clef de la Tanière Givrefoux",
            composition: "img/compo/74.png",
            placement: "img/places/74.png",
            succes: [
                "Dernier",
                "Statue",
                "Duo",
                "Score 143",
                "Score 200"
            ],
            idolesNon: "",
            specificites: "Être de niveau 50 au minimum pour accéder à l'île et avoir déjà fait le donjon « Hypogée de l'Obsidiantre »"
        },
        {
            id: "75",
            donjon: "Mine de Sakaï",
            boss: "N (dans nos cœurs ça reste N, nique Grollum)",
            imageSource: "img/boss/75.png",
            niveau: 190,
            zone: [
                "Île de Frigost",
                "Frigost 2",
                "Île de Sakaï"
            ],
            position: "-52,-45",
            zaap: "7,-4",
            clef: "Clef de la Mine de Sakaï",
            composition: "img/compo/75.png",
            placement: "img/places/75.png",
            succes: [
                "Versatile",
                "Blitzkrieg",
                "Duo",
                "Score 143",
                "Score 200"
            ],
            idolesNon: "",
            specificites: "Être de niveau 50 au minimum pour accéder à l'île"
        },
        {
            id: "76",
            donjon: "Antichambre du Glourséleste",
            boss: "Glourséleste",
            imageSource: "img/boss/76.png",
            niveau: 190,
            zone: [
                "Île de Frigost",
                "Frigost 2"
            ],
            position: "-63,-75",
            zaap: "-77,-73",
            clef: "Clef de l'Antichambre des Gloursons",
            composition: "img/compo/76.png",
            placement: "img/places/76.png",
            succes: [
                "Premier",
                "Collant",
                "Duo",
                "Score 143",
                "Score 200"
            ],
            idolesNon: "",
            specificites: "Être de niveau 50 au minimum pour accéder à l'île et avoir déjà fait le donjon « Caverne du Kolosso »"
        },
        {
            id: "77",
            donjon: "Pyramide d'Ombre",
            boss: "Ombre",
            imageSource: "img/boss/77.png",
            niveau: 190,
            zone: "Dimension Obscure",
            position: "6,13",
            zaap: "5,7",
            clef: "",
            composition: "img/compo/77.png",
            placement: "img/places/77.png",
            succes: [
                "Premier",
                "Collant",
                "Duo",
                "Score 143",
                "Score 200"
            ],
            idolesNon: "",
            specificites: ""
        },
        {
            id: "78",
            donjon: "Camp du Conte Razof",
            boss: "Conte Razof",
            imageSource: "img/boss/78.png",
            niveau: 190,
            zone: "Île de Nimotopia",
            position: "-68,30",
            zaap: "-27,-36",
            clef: "Clef du Camp du Conte Razof",
            composition: "img/compo/78.png",
            placement: "img/places/78.png",
            succes: [
                "Liberté",
                "Premier",
                "Duo",
                "Score 143",
                "Score 200"
            ],
            idolesNon: [
                "Hulhu",
                "Nékinéko",
                "Dynamo",
                "Domo"
            ],
            specificites: ""
        },
        {
            id: "79",
            donjon: "Forgefroide de Missiz Frizz",
            boss: "Missiz Frizz",
            imageSource: "img/boss/79.png",
            niveau: 190,
            zone: [
                "Île de Frigost",
                "Frigost 3"
            ],
            position: "-70,-81",
            zaap: "-67,-75",
            clef: "Clef de la Forgefroide de Missiz Frizz",
            composition: "img/compo/79.png",
            placement: "img/places/79.png",
            succes: [
                "Nomade",
                "Collant",
                "Duo",
                "Score 150",
                "Score 200"
            ],
            idolesNon: "Leukide",
            specificites: "Être de niveau 50 au minimum pour accéder à l'île et avoir déjà fait le donjon « Antichambre des Gloursons »"
        },
        {
            id: "80",
            donjon: "Transporteur de Sylargh",
            boss: "Sylargh",
            imageSource: "img/boss/80.png",
            niveau: 190,
            zone: [
                "Île de Frigost",
                "Frigost 3"
            ],
            position: "-53,-84",
            zaap: "-67,-75",
            clef: "Clef du Transporteur de Sylargh",
            composition: "img/compo/80.png",
            placement: "img/places/80.png",
            succes: [
                "Anachorète",
                "Barbare",
                "Duo",
                "Score 150",
                "Score 200"
            ],
            idolesNon: "Nahuatl",
            specificites: "Être de niveau 50 au minimum pour accéder à l'île et avoir déjà fait le donjon « Antichambre des Gloursons »"
        },
        {
            id: "81",
            donjon: "Salons privés de Klime",
            boss: "Klime",
            imageSource: "img/boss/81.png",
            niveau: 190,
            zone: [
                "Île de Frigost",
                "Frigost 3"
            ],
            position: "-63,-86",
            zaap: "-67,-75",
            clef: "Clef des Salons privés de Klime",
            composition: "img/compo/81.png",
            placement: "img/places/81.png",
            succes: [
                "Pusillanime",
                "Nomade",
                "Duo",
                "Score 150",
                "Score 200"
            ],
            idolesNon: "",
            specificites: "Être de niveau 50 au minimum pour accéder à l'île et avoir déjà fait le donjon « Antichambre des Gloursons »"
        },
        {
            id: "82",
            donjon: "Laboratoire de Nileza",
            boss: "Nileza",
            imageSource: "img/boss/82.png",
            niveau: 190,
            zone: [
                "Île de Frigost",
                "Frigost 3"
            ],
            position: "-61,-74",
            zaap: "-67,-75",
            clef: "Clef du Laboratoire de Nileza",
            composition: "img/compo/82.png",
            placement: "img/places/82.png",
            succes: [
                "Pusillanime",
                "Dernier",
                "Duo",
                "Score 150",
                "Score 200"
            ],
            idolesNon: "Hoskar",
            specificites: "Être de niveau 50 au minimum pour accéder à l'île et avoir déjà fait le donjon « Antichambre des Gloursons »"
        },
        {
            id: "83",
            donjon: "Donjon du Comte",
            boss: "Comte Harebourg",
            imageSource: "img/boss/83.png",
            niveau: 190,
            zone: [
                "Île de Frigost",
                "Frigost 3"
            ],
            position: "-61,-79",
            zaap: "-67,-75",
            clef: "Clef du Donjon du Comte Harebourg",
            composition: "img/compo/83.png",
            placement: "img/places/83.png",
            succes: [
                "Versatile",
                "Statue",
                "Duo",
                "Score 150",
                "Score 200"
            ],
            idolesNon: "",
            specificites: "Être de niveau 50 au minimum pour accéder à l'île et avoir déjà fait les donjons « Forgefroide de Missiz Frizz », « Transporteur de Sylargh », « Salons privés de Klime » et « Laboratoire de Nileza »"
        },
        {
            id: "84",
            donjon: "Aquadôme de Merkator",
            boss: "Merkator",
            imageSource: "img/boss/84.png",
            niveau: 190,
            zone: "Sufokia",
            position: "21,18",
            zaap: "13,26",
            clef: "Clef de l'Aquadôme de Merkator",
            composition: "img/compo/84.png",
            placement: "img/places/84.png",
            succes: [
                "Dernier",
                "Mystique",
                "Duo",
                "Score 150",
                "Score 200"
            ],
            idolesNon: [
                "Ougah",
                "Muta",
                "Proxima"
            ],
            specificites: ""
        },
        {
            id: "85",
            donjon: "Palais du roi Nidas",
            boss: "roi Nidas",
            imageSource: "img/boss/85.png",
            niveau: 190,
            zone: "Énutrosor",
            position: "-5,-5",
            zaap: "Portail vers la Dimension Énutrosor",
            clef: "Clef du Palais du roi Nidas",
            composition: "img/compo/85.png",
            placement: "img/places/85.png",
            succes: [
                "Premier",
                "Statue",
                "Duo",
                "Score 150",
                "Score 200"
            ],
            idolesNon: "Nahuatl",
            specificites: ""
        },
        {
            id: "86",
            donjon: "Trône de la Cour Sombre",
            boss: "Reine des Voleurs",
            imageSource: "img/boss/86.png",
            niveau: 190,
            zone: "Srambad",
            position: "8,-4",
            zaap: "Portail vers la Dimension Srambad",
            clef: "Clef du Trône de la Cour Sombre",
            composition: "img/compo/86.png",
            placement: "img/places/86.png",
            succes: [
                "Premier",
                "Collant",
                "Trio",
                "Score 150",
                "Score 200"
            ],
            idolesNon: "",
            specificites: ""
        },
        {
            id: "87",
            donjon: "Ventre de la Baleine",
            boss: "Protozorreur",
            imageSource: "img/boss/87.png",
            niveau: 190,
            zone: [
                "Île de Frigost",
                "Roc des Salbatroces"
            ],
            position: "-85,-59",
            zaap: "-78,-41",
            clef: "Clef du Ventre de la Baleine",
            composition: "img/compo/87.png",
            placement: "img/places/87.png",
            succes: [
                "Barbare",
                "Statue",
                "Duo",
                "Score 150",
                "Score 200"
            ],
            idolesNon: [
                "Kyoub",
                "Ultram",
                "Djim",
                "Nahuatl",
                "Aroumb"
            ],
            specificites: "Être de niveau 50 minimum pour accéder à l'île"
        },
        {
            id: "88",
            donjon: "Œil de Vortex",
            boss: "Vortex",
            imageSource: "img/boss/88.png",
            niveau: 190,
            zone: "Xélorium",
            position: "7,-7",
            zaap: "Portail vers la Dimension Xélorium",
            clef: "Clef de l'Œil de Vortex",
            composition: "img/compo/88.png",
            placement: "img/places/88.png",
            succes: [
                "Focus",
                "Hardi",
                "Trio",
                "Score 150",
                "Score 200"
            ],
            idolesNon: "Nahuatl",
            specificites: ""
        },
        {
            id: "89",
            donjon: "Défi du Chalœil",
            boss: "Chalœil",
            imageSource: "img/boss/89.png",
            niveau: 190,
            zone: "Écaflipus",
            position: "-9,-22",
            zaap: "Portail vers la Dimension Écaflipus",
            clef: "Clef du Défi du Chalœil",
            composition: "img/compo/89.png",
            placement: "img/places/89.png",
            succes: [
                "Liberté",
                "Pusillanime",
                "Trio",
                "Score 150",
                "Score 200"
            ],
            idolesNon: "Cafra",
            specificites: ""
        },
        {
            id: "90",
            donjon: "Vaisseau du Capitaine Méno",
            boss: "Capitaine Méno",
            imageSource: "img/boss/90.png",
            niveau: 190,
            zone: "Sufokia",
            position: "24,27",
            zaap: "13,26",
            clef: "Clef du Vaisseau du Capitaine Méno",
            composition: "img/compo/90.png",
            placement: "img/places/90.png",
            succes: [
                "Blitzkrieg",
                "Pusillanime",
                "Duo",
                "Score 150",
                "Score 200"
            ],
            idolesNon: "",
            specificites: ""
        },
        {
            id: "91",
            donjon: "Temple de Koutoulou",
            boss: "Koutoulou",
            imageSource: "img/boss/91.png",
            niveau: 190,
            zone: "Sufokia",
            position: "27,26",
            zaap: "13,26",
            clef: "Clef du Temple de Koutoulou",
            composition: "img/compo/91.png",
            placement: "img/places/91.png",
            succes: [
                "Pusillanime",
                "Hardi",
                "Duo",
                "Score 150",
                "Score 200"
            ],
            idolesNon: "",
            specificites: "Il est impossible d'équiper un montilier ou une dragodinde"
        },
        {
            id: "92",
            donjon: "Palais de Dantinéa",
            boss: "Dantinéa",
            imageSource: "img/boss/92.png",
            niveau: 190,
            zone: "Sufokia",
            position: "19,26",
            zaap: "13,26",
            clef: "Clef du Palais de Dantinéa",
            composition: "img/compo/92.png",
            placement: "img/places/92.png",
            succes: [
                "Dernier",
                "Statue",
                "Duo",
                "Score 150",
                "Score 200"
            ],
            idolesNon: "",
            specificites: "Il est impossible d'équiper un montilier ou une dragodinde"
        },
        {
            id: "93",
            donjon: "Chambre de tal Kasha",
            boss: "Tal Kasha",
            imageSource: "img/boss/93.png",
            niveau: 190,
            zone: "Île de Saharach",
            position: "12,-77",
            zaap: "15,-58",
            clef: "Clef de la Chambre de Tal Kasha",
            composition: "img/compo/93.png",
            placement: "img/places/93.png",
            succes: [
                "Focus",
                "Statue",
                "Duo",
                "Score 150",
                "Score 200"
            ],
            idolesNon: "Nahuatl",
            specificites: ""
        },
        {
            id: "94",
            donjon: "Manoir des Katrepat",
            boss: "Anerice la Shushess",
            imageSource: "img/boss/94.png",
            niveau: 190,
            zone: "Sidimote",
            position: "-14,25",
            zaap: "-15,25",
            clef: "Clef du Manoir des Katrepat",
            composition: "img/compo/94.png",
            placement: "img/places/94.png",
            succes: [
                "Pusillanime",
                "Premier",
                "Duo",
                "Score 150",
                "Score 200"
            ],
            idolesNon: "",
            specificites: ""
        },
        {
            id: "95",
            donjon: "Belvédère d'Ilyzaelle",
            boss: "Ilyzaelle",
            imageSource: "img/boss/95.png",
            niveau: 190,
            zone: [
                "Île de Frigost",
                "Frigost 3"
            ],
            position: "-72,-77",
            zaap: "-67,-75",
            clef: "Clef du Belvédère d'Ilyzaelle",
            composition: "img/compo/95.png",
            placement: "img/places/95.png",
            succes: [
                "Liberté",
                "Focus",
                "Duo",
                "Score 150",
                "Score 200"
            ],
            idolesNon: "",
            specificites: "Être de niveau 50 minimum pour accéder à l'île et avoir fait le donjon « Antichambre des Gloursons »"
        },
        {
            id: "96",
            donjon: "Tour de Solar",
            boss: "Solar",
            imageSource: "img/boss/96.png",
            niveau: 190,
            zone: "Sidimote",
            position: "-31,15",
            zaap: "-25,12",
            clef: "Clef de la Tour de Solar",
            composition: "img/compo/96.png",
            placement: "img/places/96.png",
            succes: [
                "Versatile",
                "Focus",
                "Duo",
                "Score 150",
                "Score 200"
            ],
            idolesNon: "",
            specificites: "Avoir accompli la quête « L'arme fatale »"
        },
        {
            id: "97",
            donjon: "Tour de Bethel",
            boss: "Bethel Akarna",
            imageSource: "img/boss/97.png",
            niveau: 190,
            zone: "Sufokia",
            position: "-48,-42",
            zaap: "13,26",
            clef: "Clef de la Tour de Bethel",
            composition: "img/compo/97.png",
            placement: "img/places/97.png",
            succes: [
                "Mystique",
                "Zombie",
                "Duo",
                "Score 150",
                "Score 200"
            ],
            idolesNon: "",
            specificites: "Avoir accompli la quête « L'arme fatale »"
        },
        {
            id: "98",
            donjon: "Brasserie du roi Dazak",
            boss: "Dazak Martegel",
            imageSource: "img/boss/98.png",
            niveau: 190,
            zone: [
                "Île de Frigost",
                "Frigost 2"
            ],
            position: "-62,-70",
            zaap: "-77,-73",
            clef: "Clef de la Brasserie du roi Dazak",
            composition: "img/compo/98.png",
            placement: "img/places/98.png",
            succes: [
                "Premier",
                "Liberté",
                "Duo",
                "Score 150",
                "Score 200"
            ],
            idolesNon: "",
            specificites: "Être de niveau 50 minim pour accéder à l'île et avoir fait le donjon « Tanière Givrefoux »"
        },
        {
            id: "99",
            donjon: "Tu mérites un peu de repos non ? Reste glander au zaap aujourd'hui.",
            boss: "Voix de la Raison",
            imageSource: "img/boss/56.png",
            niveau: 100,
            zone: "",
            position: "",
            zaap: "",
            clef: "",
            composition: "img/compo/56.png",
            placement: "img/places/56.png",
            succes: "",
            idolesNon: "",
            specificites: ""
        },
        {
            id: "100",
            donjon: "Tu devrais aussi t'intéresser au JcJ. Va donc taper un percepteur !",
            boss: "Voix de la Raison",
            imageSource: "img/boss/56.png",
            niveau: 150,
            zone: "",
            position: "",
            zaap: "",
            clef: "",
            composition: "img/compo/56.png",
            placement: "img/places/56.png",
            succes: "",
            idolesNon: "",
            specificites: ""
        }
    ];


    $('#quoteButton').click(function(evt) {
        //définir les conteneurs de l'information que nous ciblons
        var donjon = $('#quoteContainer p').text();
        var quoteGenius = $('#quoteGenius').text();
        //empêcher l'action par défaut du navigateur
        evt.preventDefault();
        //obtenir un nouveau nombre aléatoire à attacher à un donjon et fixer une limite
        var sourceLength = quoteSource.length;
        var randomNumber = Math.floor(Math.random() * sourceLength);
        //sélectionner un nouveau donjon
        var min = document.getElementById("min").value;
        var max = document.getElementById("max").value;
        while (quoteSource[randomNumber].niveau > max || quoteSource[randomNumber].niveau < min) {
            randomNumber = Math.floor(Math.random() * sourceLength);
            //on interdit les intervalles trop petites
            if (min > max - 10) {
                Alert('Intervalle trop petit.');
                break;
            }
        }

        var newQuoteText = quoteSource[randomNumber].donjon;
        var newQuoteGenius = quoteSource[randomNumber].boss;
        var newQuoteImage = quoteSource[randomNumber].imageSource;
        var newQuoteTextZo = quoteSource[randomNumber].zone;
        var newQuoteTextPo = quoteSource[randomNumber].position;
        var newQuoteTextZa = quoteSource[randomNumber].zaap;
        var newQuoteTextNi = quoteSource[randomNumber].niveau;
        var newQuoteTextCl = quoteSource[randomNumber].clef;
        var newQuoteTextSu = quoteSource[randomNumber].succes;
        var newQuoteTextIN = quoteSource[randomNumber].idolesNon;
        var newQuoteTextSp = quoteSource[randomNumber].specificites;
        var timeAnimation = 500;
        var quoteContainer = $('#quoteContainer');
        //animation en fondu enchaîné avec rappel
        quoteContainer.fadeOut(timeAnimation, function() {
            quoteContainer.html('');
            quoteContainer.append('<h4>' + newQuoteText + '</h4>' + '</p>' + '<p id="quoteGenius">' + newQuoteGenius + '<br/><img class="responsive-image" src="' + newQuoteImage + '" alt="' + newQuoteGenius + '"></p>' + '<p>Niveau : <b>' + newQuoteTextNi + '</b></p>' + '<p>' + newQuoteTextCl + '</p>' + '<p>Zone(s) : <b>' + newQuoteTextZo + '</b></p>' + '<p>Position : <b>' + newQuoteTextPo + '</b> | Zaap proche : <b>' + newQuoteTextZa + '</b></p>' + '<p>Succès : <b>' + newQuoteTextSu + '</b></p>' + '<p>Idole(s) interdite(s) : <b>' + newQuoteTextIN + '</b></p>' + '<p>Spécificités : <i>' + newQuoteTextSp + '</i></p>');
            //estomper le fondu.
            quoteContainer.fadeIn(timeAnimation);
        });




    }); //fin de la fonction quoteButton


}); //fin du document